package com.zenofx.aguard.gradledemo;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.widget.TextView;

import java.util.Date;
import java.util.GregorianCalendar;

public class DemoActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_demo);
        TextView helloText = findViewById(R.id.hello);
        PackageInfo pc=null;
        try {
            pc = getPackageManager().getPackageInfo(getPackageName(), 0);
        }
        catch(PackageManager.NameNotFoundException e) {
            // Never happens
        }
        String hello = getResources().getString(R.string.helloLabel, pc.versionName, pc.versionCode);
        helloText.setText(hello);

        TextView bootstrapText = findViewById(R.id.bootstrap);
        Intent launchIntent = getPackageManager().getLaunchIntentForPackage(getPackageName());
        bootstrapText.setText(launchIntent.getComponent().getShortClassName());

        TextView updateText = findViewById(R.id.updateTime);
        String updateLabel = getResources().getString(R.string.updateLabel, new Date(pc.lastUpdateTime));
        updateText.setText(updateLabel);
    }
}
